Page MenuHomePhabricator

Implement the beta preference option for RC Filters project
Closed, ResolvedPublic

Description

Put in place the changes to the beta preferences that will let users opt in to the "New Filters for Edit Review" beta on both ORES and non-ORES wikis.

Opting in via the beta preferences page

There will be a new option on the beta preferences page for "New filters for edit review"

  • Selecting this option turns on the new filtering interface for RC Page ( and then for other review pages as they come on line).
  • Existing ORES beta users will automatically be opted in to the "New filters" beta.
  • On ORES wikis, "New filters" users will get the ORES filters as part of the new interface package automatically.
  • On non-ORES wikis, "New filters" users will get the non-ORES filters only. At such time as ORES is enabled on a given wiki, the new ORES filters will automatically be displayed for all "New filters" users on the pages for which the new filters have been implemented.
  • Find the new opt-in text at T149385, under "Beta preferences opt-in text." There are two versions of the text: one for ORES wikis, one for non-ORES.
    • The description will include a link to the Recent Changes page.
    • On ORES wikis, the description will also include a link to the main ORES page on Meta,
  • The "Information" link (see design below) will go to the Mediawiki page for RC Filters
  • The "Discussion" link will go to the "New filters for edit review" talk page
  • A new graphical icon has been designed for the beta opt-in -- see a a screenshot below.

Beta feature icons:


Related tickets to think about

Event Timeline

@Pginer-WMF Could you upload the SVG for the beta feature image somewhere?

Pginer-WMF updated the task description. (Show Details)Feb 28 2017, 12:19 PM

@Pginer-WMF Could you upload the SVG for the beta feature image somewhere?

I added both LTR and RTL versions to the description:


What's the current thinking about where should the beta feature be configured considering that the new feature (RC filter) is in core but Beta Feature itself is an extension? ORES extension was a candidate when it was coupled with it but it's not the case anymore.

Is it possible to configure it entirely by adding to $wg variables in config files instead of using hooks?

What's the current thinking about where should the beta feature be configured considering that the new feature (RC filter) is in core but Beta Feature itself is an extension? ORES extension was a candidate when it was coupled with it but it's not the case anymore.

I'd just throw it into WikimediaMessages. It's a bit of a hack but it wouldn't be the first time.

J.

Existing ORES beta users will automatically be opted in to the "New filters" beta.

What about a maintenance script to synchronize the initial value of rc-beta-feature with ores-beta-feature... would that be enough or is there something in the Beta feature extension that can help us here?

If it's a maintenance script, where would it live? Core, WikimediaMessages, ORES... ?

Change 340522 had a related patch set uploaded (by Sbisson):
[mediawiki/extensions/WikimediaMessages] Configure the RC Filters beta feature

https://gerrit.wikimedia.org/r/340522

Change 340829 had a related patch set uploaded (by Sbisson):
[mediawiki/core] Maintenance: init a user preference based on another preference

https://gerrit.wikimedia.org/r/340829

Change 341020 had a related patch set uploaded (by sbisson):
[mediawiki/core] Unhide rcenhancedfilters preference

https://gerrit.wikimedia.org/r/341020

Change 341020 merged by jenkins-bot:
[mediawiki/core] Unhide rcenhancedfilters preference

https://gerrit.wikimedia.org/r/341020

Change 340829 merged by jenkins-bot:
[mediawiki/core] Maintenance: init a user preference based on another preference

https://gerrit.wikimedia.org/r/340829

Change 340522 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages] Configure the RC Filters beta feature

https://gerrit.wikimedia.org/r/340522

@SBisson, please note that we just changed the destination for the "Discussion" link. I've updated the link in the task Description above. But I'll paste it below as well:

Etonkovidova updated the task description. (Show Details)Mar 9 2017, 12:32 AM
Etonkovidova updated the task description. (Show Details)

Change 341998 had a related patch set uploaded (by Sbisson):
[mediawiki/extensions/WikimediaMessages] RC Filters Beta: new talk link

https://gerrit.wikimedia.org/r/341998

Waiting on T159300: Turn off 'classic' ORES highlighting on the RC page to be implemented to check the following specs:

  • Existing ORES beta users will automatically be opted in to the "New filters" beta.
  • On ORES wikis, "New filters" users will get the ORES filters as part of the new interface package automatically.
  • On non-ORES wikis, "New filters" users will get the non-ORES filters only. At such time as ORES is enabled on a given wiki, the new ORES filters will automatically be displayed for all "New filters" users on the pages for which the new filters have been implemented.

Waiting on T159300: Turn off 'classic' ORES highlighting on the RC page to be implemented to check the following specs:

  • Existing ORES beta users will automatically be opted in to the "New filters" beta.

This is a script we have to run to initialize the RC beta feature based on ORES on each wiki, just prior to enabling it. We can probably run it now on betalabs (@Catrope can you?)

  • On ORES wikis, "New filters" users will get the ORES filters as part of the new interface package automatically.
  • On non-ORES wikis, "New filters" users will get the non-ORES filters only. At such time as ORES is enabled on a given wiki, the new ORES filters will automatically be displayed for all "New filters" users on the pages for which the new filters have been implemented.

Those two are the results of T158459: Add ORES to RCFilters

Change 341998 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages] RC Filters Beta: new talk link

https://gerrit.wikimedia.org/r/341998

  • All specs are checked.
  • There are no non-ORES wikis in betalabs, but so testwiki will be checked after deployment of wmf.17
  • The script was run on cawiki and, additionally, on ruwiki - users with ores-enabled option got 'New filters for edit review' beta feature automatically.

QA recommendation: Resolve.

jmatazzoni closed this task as Resolved.Mar 20 2017, 11:44 PM